Bug 1312958 - wine: Insecure use of temp files with predictable names
Summary: wine: Insecure use of temp files with predictable names
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1312959 1312960
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-29 16:00 UTC by Adam Mariš
Modified: 2019-09-29 13:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:49:10 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-02-29 16:00:33 UTC
It was reported that wine uses /tmp/.wine-$UID as a directory for sockets and lock files. Malicious local user could create /tmp/.wine-$UID for another user's uid, preventing the other user from using wine. Moreover, the server_connect() function doesn't check if /tmp/.wine-$UID or its subdirectories are symlinks, so in some circumstances it might be possible to trick wine to connect to an unrelated socket.

Debian bug report:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816034

Comment 1 Adam Mariš 2016-02-29 16:01:10 UTC
Created wine tracking bugs for this issue:

Affects: fedora-all [bug 1312959]
Affects: epel-all [bug 1312960]

Comment 2 Product Security DevOps Team 2019-06-08 02:49:10 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.